Bug 111982 - add new driver and model in foomatic database (Minolta QMS Magic Color 3100 printer)
Summary: add new driver and model in foomatic database (Minolta QMS Magic Color 3100 p...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: foomatic   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL: http://current-printers/mc3100.sup.html
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-12 12:05 UTC by Nguyen Ngoc Can
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 16:46:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is the driver that can be used directly by lpadmin .... (7.85 KB, text/plain)
2003-12-12 12:06 UTC, Nguyen Ngoc Can
no flags Details
complete package of Minolta driver (990.00 KB, text/plain)
2003-12-12 12:18 UTC, Nguyen Ngoc Can
no flags Details
foomatic-mc3100.patch (1.58 KB, patch)
2003-12-12 14:43 UTC, Tim Waugh
no flags Details | Diff

Description Nguyen Ngoc Can 2003-12-12 12:05:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
see this url for more information and download the driver :

http://current-printers/mc3100.sup.html



Version-Release number of selected component (if applicable):
foomatic-3.0.0.-9 and 

How reproducible:
Sometimes

Steps to Reproduce:
1.just add model
2. just add driver
3.
    

Expected Results:  add new model and driver in foomatic database ...
see this new model in the list of model used by printtool command line
and when choosing this model, his driver will be affected

Additional info:

Comment 1 Nguyen Ngoc Can 2003-12-12 12:06:51 UTC
Created attachment 96491 [details]
this is the driver that can be used directly by lpadmin ....

Comment 2 Nguyen Ngoc Can 2003-12-12 12:18:02 UTC
Created attachment 96492 [details]
complete package of Minolta driver

Comment 3 Nguyen Ngoc Can 2003-12-12 12:22:07 UTC
maybe go to http://www.turboprint.de/turboprint.html to take some new
drivers for Canon i250, i320, i350 etc ....

Comment 4 Tim Waugh 2003-12-12 13:36:23 UTC
Can it be plugged in directly to the computer with a parallel port or
USB cable?

Comment 5 Nguyen Ngoc Can 2003-12-12 13:48:29 UTC
support :

parallele port
usb port
jetdirect

Comment 6 Tim Waugh 2003-12-12 13:49:56 UTC
Please plug in the parallel port connection and reboot the Linux
machine connected to it.  Then show me what this says:

cat /proc/sys/dev/parport/parport*/autoprobe


Comment 7 Tim Waugh 2003-12-12 14:43:47 UTC
Created attachment 96493 [details]
foomatic-mc3100.patch

Please test foomatic-3.0.0-13, which has this patch applied.

Comment 8 Nguyen Ngoc Can 2003-12-12 16:01:24 UTC
after removing autodetect  i got these error :

Cannot read file
/usr/share/foomatic/db/source/driver/PostScript.xml!Traceback (most
recent call last):
  File "/usr/share/printconf/util/addQueue.py", line 1124, in finish
    self.queue_data, driver_tuple)
  File "/usr/share/printconf/util/printconf_conf.py", line 968, in
construct_queue
    printer.id, gs_driver)
  File "/usr/share/printconf/util/printconf_conf.py", line 807, in
foomatic_set_default_page_size
    for opt in drv.options.values():
AttributeError: 'NoneType' object has no attribute 'options'

Le ven 12/12/2003 à 16:37, NGUYEN Ngoc Can a écrit : 
When i execute printtool i got these error :
> 
> Traceback (most recent call last):
>   File "/usr/share/printconf/util/queueTree.py", line 489, in
new_button_clicked
>     self.use_foomatic ()
>   File "/usr/share/printconf/util/queueTree.py", line 421, in
use_foomatic
>     self.conf.foomatic_init_overview ()
>   File "/usr/share/printconf/util/printconf_conf.py", line 1472, in
foomatic_init_overview
>     root = parser.parse (foo)
>   File
"/usr/src/build/219081-i386/install/usr/lib/python2.2/site-packages/_xmlplus/utils/qp_xml.py",
line 137, in parse
> xml.parsers.expat.ExpatError: mismatched tag: line 18848, column 6
> 
> 

Comment 9 Tim Waugh 2003-12-12 16:18:25 UTC
Change '<driver>PostScript</driver>' to '<driver>Postscript</driver>'.

Comment 10 Tim Waugh 2003-12-12 17:15:39 UTC
Please show me the output of this command:

snmpwalk -v 1 <printername> -c public system

where printername is the DNS name of the printer on the network.

Comment 11 Tim Waugh 2003-12-16 12:30:58 UTC
*ping*

Comment 12 Tim Waugh 2004-12-10 16:46:20 UTC
No feedback; closing.


Note You need to log in before you can comment on or make changes to this bug.